## glite-lb-state-machine 1.3.2

=== Makefile ===
# defaults
top_srcdir=..
stagedir=.
distdir=.
globalprefix=glite
lbprefix=lb
package=glite-lb-state-machine
PREFIX=/opt/glite
prefix=

-include Makefile.inc
-include ${top_srcdir}/project/version.properties
version=${module.version}

VPATH = ${top_srcdir}/src:${top_srcdir}/interface

default all: compile

CC=gcc
CXX=g++
AT3=${stagedir}${prefix}/sbin/glite-lb-at3

SUFFIXES = .T 

ifneq (${classads_prefix},/usr)
	classadslib := -L${classads_prefix}/${libdir} -L${classads_prefix}/lib 
endif
ifneq (${expat_prefix},/usr)
	expatlib := -L${expat_prefix}/${libdir} -L${expat_prefix}/lib 
endif
CLASSADS_CFLAGS?=-I${classads_prefix}/include -I${classads_prefix}/include/classad
CLASSADS_LIBS?=${classadslib} -lclassad
EXPAT_CFLAGS?=
EXPAT_LIBS?=${expatlib} -lexpat

DEBUG:=-g -O0 -Wall

CFLAGS:= \
	${DEBUG} \
	${CLASSADS_CFLAGS} \
	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I. \
	-I${top_srcdir}/interface ${CFLAGS}

COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir}  ${LDFLAGS} 
SOLINK:=libtool --mode=link ${CC} -module ${LDFLAGS} -rpath ${stagedir}${prefix}/${libdir}
LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS} 
INSTALL:=libtool --mode=install install
LINKXX:=libtool --mode=link  ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
XSLTPROC:=xsltproc --novalid

ifeq (${thrflavour},)
default_flavour=
else
default_flavour=_${nothrflavour}
endif
COMMON_LIBS:= -L${stagedir}${prefix}/${libdir} -lglite_lb_common${default_flavour} -lglite_security_gss${default_flavour} -lglite_jobid
PLUGIN_LIBS:= -L${stagedir}${prefix}/${libdir} -lglite_lb_common${default_flavour}

PLUGIN_LOBJS:=seqcode_aux.lo process_event.lo process_event_pbs.lo process_event_condor.lo process_event_cream.lo lb_plugin.lo  process_event_file_transfer.lo process_event_file_transfer_collection.lo
MACHINE_OBJS:=seqcode_aux.o process_event.o process_event_pbs.o process_event_condor.o process_event_cream.o process_event_file_transfer.o process_event_file_transfer_collection.o intjobstat_supp.o
MACHINE_LOBJS:=${MACHINE_OBJS:.o=.lo}

PLUGIN_LIB=glite_lb_plugin.la
MACHINE_LIB=libglite_lb_statemachine.la

XSD=lb-job-attrs2.xsd

default all: compile

compile: ${MACHINE_LIB} ${PLUGIN_LIB} ${XSD}

# In order to use libtool versioning correcty, we must have:
#
# current = major + minor + offset
# revision = patch
# age = minor
#
# where offset is a sum of maximal released minor's of all previous major's
# 

# counted minors: 1.0
offset=0
version_info:=-version-info ${shell \
        perl -e '$$,=":"; @F=split /\./,"${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }

${PLUGIN_LIB}: ${PLUGIN_LOBJS}
	${SOLINK} -o $@ ${PLUGIN_LOBJS} ${PLUGIN_LIBS}

${MACHINE_LIB}:  ${MACHINE_OBJS}
	${LINK} ${version_info} -o $@ ${MACHINE_LOBJS} ${COMMON_LIBS}
#	ar crv $@ ${MACHINE_OBJS}
#	-ranlib $@


doc:

stage: compile
	$(MAKE) install PREFIX=${stagedir}

install:
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir} ${DESTDIR}${PREFIX}${prefix}/interface ${DESTDIR}${PREFIX}${prefix}/include/glite/lb
	${INSTALL} -m 755 ${MACHINE_LIB} ${DESTDIR}${PREFIX}${prefix}/${libdir}
	${INSTALL} -m 755 ${PLUGIN_LIB} ${DESTDIR}${PREFIX}${prefix}/${libdir}
	install -m 644 ${top_srcdir}/interface/lb-job-attrs.xsd ${DESTDIR}${PREFIX}${prefix}/interface
	install -m 644 lb-job-attrs2.xsd ${DESTDIR}${PREFIX}${prefix}/interface
	install -m 644 ${top_srcdir}/interface/lb-job-record.xsd ${DESTDIR}${PREFIX}${prefix}/interface
	install -m 644 ${top_srcdir}/interface/intjobstat.h ${DESTDIR}${PREFIX}${prefix}/include/glite/lb
	install -m 644 ${top_srcdir}/interface/intjobstat_supp.h ${DESTDIR}${PREFIX}${prefix}/include/glite/lb
	install -m 644 ${top_srcdir}/interface/process_event.h ${DESTDIR}${PREFIX}${prefix}/include/glite/lb
	install -m 644 ${top_srcdir}/interface/seqcode_aux.h ${DESTDIR}${PREFIX}${prefix}/include/glite/lb
	install -m 644 job_attrs.h ${DESTDIR}${PREFIX}${prefix}/include/glite/lb
	install -m 644 job_attrs2.h ${DESTDIR}${PREFIX}${prefix}/include/glite/lb

clean:
	rm -rvf .libs *.o *.lo ${PLUGIN_LIB} ${MACHINE_LIB}
	rm -rfv job_attrs.h job_attrs2.h lb-job-attrs2.xsd glite-jpis-config.xml

distclean:
	rm -rvf Makefile.inc *.spec debian/

check:
	@echo No tests yet

%.c: %.c.T
	rm -f $@
	${AT3} $< >$@ || rm -f $@
	chmod -w $@ >/dev/null

%.cpp: %.cpp.T
	rm -f $@
	${AT3} $< >$@ || rm -f $@
	chmod -w $@ >/dev/null

%.xsd: %.xsd.T
	rm -f $@
	${AT3} $< >$@ || rm -f $@
	chmod -w $@ >/dev/null

%.o %.lo: %.c
	${COMPILE} -c $<

lb_plugin.lo: lb_plugin.c job_attrs.h job_attrs2.h
	${COMPILE} -DPLUGIN_DEBUG -o $@ -c $<

job_attrs.h: lb-job-attrs.xsd job_attrs.xsl
	${XSLTPROC} ${top_srcdir}/src/job_attrs.xsl $< >$@ || ( rm -f $@; false)

job_attrs2.h: lb-job-attrs2.xsd job_attrs2.xsl
	${XSLTPROC} ${top_srcdir}/src/job_attrs2.xsl $< >$@ || ( rm -f $@; false)

glite-jpis-config.xml: lb-job-attrs2.xsd jpis_config.xsl
	${XSLTPROC} ${top_srcdir}/src/jpis_config.xsl lb-job-attrs2.xsd >$@ || ( rm -f $@; false)

=== debian/changelog ===
glite-lb-state-machine (1.3.2-3) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 04 May 2012 14:42:00 +0200

=== debian/control ===
Source: glite-lb-state-machine
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, glite-lb-types, libclassad0-dev | libclassad-dev, libexpat1-dev, libglite-jobid-api-c-dev, libglite-lb-common-dev, libglite-lbjp-common-db-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-jp-interface-dev, libglite-lbjp-common-trio-dev, libtool, pkg-config, xsltproc
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-lb-state-machine1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gLite Logging and Bookkeeping state machine
 glite-lb-state-machine is the gLite LB state machine (server core, processing
 LB events to produce job state presented to the user). This package contains
 the state machine static (linked by server) and dynamic library (LB plugin used
 by Job
 Provenance).

Package: libglite-lb-state-machine-dev
Section: libdevel
Architecture: any
Provides: glite-lb-state-machine
Depends: libglite-lb-state-machine1 (= ${binary:Version}), ${misc:Depends}, libglite-lb-common-dev, libglite-lbjp-common-gss-dev
Description: Development files for gLite L&B state machine
 This package contains development libraries and header files for gLite L&B
 state machine.

Package: glite-lb-state-machine-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-lb-state-machine1 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev
Description: gLite L&B state-machine debugging symbols
 This package contains debugging symbols for gLite L&B state machine.

## glite-lb-state-machine 1.3.3

=== debian/changelog ===
glite-lb-state-machine (1.3.3-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:26:05 +0200

## glite-lb-state-machine 1.4.1

=== Makefile ===
--- 
+++ 
@@ -8,19 +8,25 @@
 PREFIX=/opt/glite
 prefix=
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 version=${module.version}
 
 VPATH = ${top_srcdir}/src:${top_srcdir}/interface
 
-default all: compile
-
 CC=gcc
 CXX=g++
 AT3=${stagedir}${prefix}/sbin/glite-lb-at3
 
 SUFFIXES = .T 
+
+SOURCES=\
+	interface/*.h interface/*.xsd interface/*.xsd.T \
+	project/.post* \
+	src/*.c src/*.xsl \
+	LICENSE Makefile
 
 ifneq (${classads_prefix},/usr)
 	classadslib := -L${classads_prefix}/${libdir} -L${classads_prefix}/lib 
@@ -32,6 +38,7 @@
 CLASSADS_LIBS?=${classadslib} -lclassad
 EXPAT_CFLAGS?=
 EXPAT_LIBS?=${expatlib} -lexpat
+GLITE_LBJP_COMMON_GSS_CFLAGS?=`PKG_CONFIG_PATH=$$PKG_CONFIG_PATH:${PREFIX}${prefix}/${libdir}/pkgconfig pkg-config glite-security-gss --cflags`
 
 DEBUG:=-g -O0 -Wall
 
@@ -39,7 +46,7 @@
 	${DEBUG} \
 	${CLASSADS_CFLAGS} \
 	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I. \
-	-I${top_srcdir}/interface ${CFLAGS}
+	-I${top_srcdir}/interface ${GLITE_LBJP_COMMON_GSS_CFLAGS} ${CFLAGS}
 
 COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
 LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir}  ${LDFLAGS} 
@@ -57,8 +64,8 @@
 COMMON_LIBS:= -L${stagedir}${prefix}/${libdir} -lglite_lb_common${default_flavour} -lglite_security_gss${default_flavour} -lglite_jobid
 PLUGIN_LIBS:= -L${stagedir}${prefix}/${libdir} -lglite_lb_common${default_flavour}
 
-PLUGIN_LOBJS:=seqcode_aux.lo process_event.lo process_event_pbs.lo process_event_condor.lo process_event_cream.lo lb_plugin.lo  process_event_file_transfer.lo process_event_file_transfer_collection.lo
-MACHINE_OBJS:=seqcode_aux.o process_event.o process_event_pbs.o process_event_condor.o process_event_cream.o process_event_file_transfer.o process_event_file_transfer_collection.o intjobstat_supp.o
+PLUGIN_LOBJS:=seqcode_aux.lo process_event.lo process_event_pbs.lo process_event_condor.lo process_event_cream.lo lb_plugin.lo  process_event_file_transfer.lo process_event_file_transfer_collection.lo process_event_virtual_machine.lo
+MACHINE_OBJS:=seqcode_aux.o process_event.o process_event_pbs.o process_event_condor.o process_event_cream.o process_event_file_transfer.o process_event_file_transfer_collection.o process_event_virtual_machine.o intjobstat_supp.o
 MACHINE_LOBJS:=${MACHINE_OBJS:.o=.lo}
 
 PLUGIN_LIB=glite_lb_plugin.la
@@ -66,7 +73,7 @@
 
 XSD=lb-job-attrs2.xsd
 
-default all: compile
+all: compile
 
 compile: ${MACHINE_LIB} ${PLUGIN_LIB} ${XSD}
 
@@ -115,6 +122,7 @@
 clean:
 	rm -rvf .libs *.o *.lo ${PLUGIN_LIB} ${MACHINE_LIB}
 	rm -rfv job_attrs.h job_attrs2.h lb-job-attrs2.xsd glite-jpis-config.xml
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
@@ -151,3 +159,5 @@
 
 glite-jpis-config.xml: lb-job-attrs2.xsd jpis_config.xsl
 	${XSLTPROC} ${top_srcdir}/src/jpis_config.xsl lb-job-attrs2.xsd >$@ || ( rm -f $@; false)
+
+.PHONY: default all compile doc stage clean distclean check dist distcheck

=== debian/changelog ===
glite-lb-state-machine (1.4.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:30 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.state-machine
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=glite-lb-state-machine-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lb-state-machine 2.0.4

=== debian/changelog ===
glite-lb-state-machine (2.0.4-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:55 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
 Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi
 
-Package: libglite-lb-state-machine1
+Package: libglite-lb-state-machine6
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -25,15 +25,22 @@
 Section: libdevel
 Architecture: any
 Provides: glite-lb-state-machine
-Depends: libglite-lb-state-machine1 (= ${binary:Version}), ${misc:Depends}, libglite-lb-common-dev, libglite-lbjp-common-gss-dev
+Depends: libglite-lb-state-machine6 (= ${binary:Version}), ${misc:Depends}, libglite-lb-common-dev, libglite-lbjp-common-gss-dev
 Description: Development files for gLite L&B state machine
  This package contains development libraries and header files for gLite L&B
  state machine.
+
+Package: glite-lb-state-machine-plugins
+Section: misc
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: L&B state machine plugins
+ This package contains L&B state machine plugins for Job Provenance.
 
 Package: glite-lb-state-machine-dbg
 Section: debug
 Architecture: any
 Priority: extra
-Depends: libglite-lb-state-machine1 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev
+Depends: libglite-lb-state-machine6 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev
 Description: gLite L&B state-machine debugging symbols
  This package contains debugging symbols for gLite L&B state machine.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 # -*- makefile -*-
 
 -include /usr/share/dpkg/buildflags.mk
+
+p_dbg=glite-lb-state-machine-dbg
+p_dev=libglite-lb-state-machine-dev
+p_lib=libglite-lb-state-machine6
+p_plugs=glite-lb-state-machine-plugins
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -27,7 +32,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -36,16 +41,22 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
-	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
-	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
+	rm -vf debian/tmp/usr/lib/*.la
+	rm -vf debian/tmp/usr/lib/glite*.a
+	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
+	mkdir -p debian/$(p_dbg)/usr/share/doc
+	mkdir -p debian/$(p_dev)/usr/share/doc
+	mkdir -p debian/$(p_plugs)/usr/share/doc
+	ln -s $(p_lib) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
+	ln -s $(p_lib) debian/$(p_dev)/usr/share/doc/$(p_dev)
+	ln -s $(p_lib) debian/$(p_plugs)/usr/share/doc/$(p_plugs)
 
 binary-indep:
 
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs project/ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman
@@ -53,7 +64,7 @@
 	dh_installcron
 	dh_install --fail-missing
 	dh_link
-	dh_strip --dbg-package=glite-lb-state-machine-dbg
+	dh_strip --dbg-package=$(p_dbg)
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs

## glite-lb-state-machine 2.0.6

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 CC=gcc
 CXX=g++
-AT3=${stagedir}${prefix}/sbin/glite-lb-at3
+AT3=${stagedir}${prefix}/bin/glite-lb-at3
 
 SUFFIXES = .T 
 
@@ -26,7 +26,7 @@
 	interface/*.h interface/*.xsd interface/*.xsd.T \
 	project/.post* \
 	src/*.c src/*.xsl \
-	LICENSE Makefile
+	Makefile
 
 ifneq (${classads_prefix},/usr)
 	classadslib := -L${classads_prefix}/${libdir} -L${classads_prefix}/lib 
@@ -86,8 +86,8 @@
 # where offset is a sum of maximal released minor's of all previous major's
 # 
 
-# counted minors: 1.0
-offset=0
+# counted minors: 1.4
+offset=4
 version_info:=-version-info ${shell \
         perl -e '$$,=":"; @F=split /\./,"${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
 
@@ -125,7 +125,7 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 check:
 	@echo No tests yet

=== debian/changelog ===
glite-lb-state-machine (2.0.6-1.git20130805) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 05 Aug 2013 14:53:03 +0200

=== debian/control ===
--- 
+++ 
@@ -37,10 +37,18 @@
 Description: L&B state machine plugins
  This package contains L&B state machine plugins for Job Provenance.
 
-Package: glite-lb-state-machine-dbg
+Package: libglite-lb-state-machine6-dbg
 Section: debug
 Architecture: any
 Priority: extra
 Depends: libglite-lb-state-machine6 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev
-Description: gLite L&B state-machine debugging symbols
+Description: Debugging symbols for gLite L&B state-machine
  This package contains debugging symbols for gLite L&B state machine.
+
+Package: glite-lb-state-machine-plugins-dbg
+Section: debug
+Architecture: any
+Priority: extra
+Depends: glite-lb-state-machine-plugins (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev
+Description: Debugging symbols for gLite L&B state-machine plugins
+ This package contains debugging symbols for gLite L&B state machine plugins.

## glite-lb-state-machine 2.0.7

=== debian/changelog ===
glite-lb-state-machine (2.0.7-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:39 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 
 -include /usr/share/dpkg/buildflags.mk
 
-p_dbg=glite-lb-state-machine-dbg
 p_dev=libglite-lb-state-machine-dev
 p_lib=libglite-lb-state-machine6
 p_plugs=glite-lb-state-machine-plugins
@@ -44,12 +43,14 @@
 	rm -vf debian/tmp/usr/lib/*.la
 	rm -vf debian/tmp/usr/lib/glite*.a
 	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
-	mkdir -p debian/$(p_dbg)/usr/share/doc
 	mkdir -p debian/$(p_dev)/usr/share/doc
 	mkdir -p debian/$(p_plugs)/usr/share/doc
-	ln -s $(p_lib) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
+	mkdir -p debian/$(p_lib)-dbg/usr/share/doc
+	mkdir -p debian/$(p_plugs)-dbg/usr/share/doc
 	ln -s $(p_lib) debian/$(p_dev)/usr/share/doc/$(p_dev)
 	ln -s $(p_lib) debian/$(p_plugs)/usr/share/doc/$(p_plugs)
+	ln -s $(p_lib) debian/$(p_lib)-dbg/usr/share/doc/$(p_lib)-dbg
+	ln -s $(p_lib) debian/$(p_plugs)-dbg/usr/share/doc/$(p_plugs)-dbg
 
 binary-indep:
 
@@ -64,7 +65,8 @@
 	dh_installcron
 	dh_install --fail-missing
 	dh_link
-	dh_strip --dbg-package=$(p_dbg)
+	dh_strip -p$(p_lib) --dbg-package=$(p_lib)-dbg
+	dh_strip -p$(p_plugs) --dbg-package=$(p_plugs)-dbg
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs

## glite-lb-state-machine 2.0.9

=== Makefile ===
--- 
+++ 
@@ -49,11 +49,9 @@
 	-I${top_srcdir}/interface ${GLITE_LBJP_COMMON_GSS_CFLAGS} ${CFLAGS}
 
 COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
-LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir}  ${LDFLAGS} 
-SOLINK:=libtool --mode=link ${CC} -module ${LDFLAGS} -rpath ${stagedir}${prefix}/${libdir}
-LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS} 
+LINK:=libtool --mode=link ${CC} ${LDFLAGS}
+SOLINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
-LINKXX:=libtool --mode=link  ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
 XSLTPROC:=xsltproc --novalid
 
 ifeq (${thrflavour},)
@@ -92,10 +90,10 @@
         perl -e '$$,=":"; @F=split /\./,"${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
 
 ${PLUGIN_LIB}: ${PLUGIN_LOBJS}
-	${SOLINK} -o $@ ${PLUGIN_LOBJS} ${PLUGIN_LIBS}
+	${SOLINK} -module -o $@ ${PLUGIN_LOBJS} ${PLUGIN_LIBS}
 
 ${MACHINE_LIB}:  ${MACHINE_OBJS}
-	${LINK} ${version_info} -o $@ ${MACHINE_LOBJS} ${COMMON_LIBS}
+	${SOLINK} ${version_info} -o $@ ${MACHINE_LOBJS} ${COMMON_LIBS}
 #	ar crv $@ ${MACHINE_OBJS}
 #	-ranlib $@
 
@@ -106,12 +104,12 @@
 	$(MAKE) install PREFIX=${stagedir}
 
 install:
-	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir} ${DESTDIR}${PREFIX}${prefix}/interface ${DESTDIR}${PREFIX}${prefix}/include/glite/lb
+	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir} ${DESTDIR}${PREFIX}${prefix}/share/glite-lb/xsd ${DESTDIR}${PREFIX}${prefix}/include/glite/lb
 	${INSTALL} -m 755 ${MACHINE_LIB} ${DESTDIR}${PREFIX}${prefix}/${libdir}
 	${INSTALL} -m 755 ${PLUGIN_LIB} ${DESTDIR}${PREFIX}${prefix}/${libdir}
-	install -m 644 ${top_srcdir}/interface/lb-job-attrs.xsd ${DESTDIR}${PREFIX}${prefix}/interface
-	install -m 644 lb-job-attrs2.xsd ${DESTDIR}${PREFIX}${prefix}/interface
-	install -m 644 ${top_srcdir}/interface/lb-job-record.xsd ${DESTDIR}${PREFIX}${prefix}/interface
+	install -m 644 ${top_srcdir}/interface/lb-job-attrs.xsd ${DESTDIR}${PREFIX}${prefix}/share/glite-lb/xsd
+	install -m 644 lb-job-attrs2.xsd ${DESTDIR}${PREFIX}${prefix}/share/glite-lb/xsd
+	install -m 644 ${top_srcdir}/interface/lb-job-record.xsd ${DESTDIR}${PREFIX}${prefix}/share/glite-lb/xsd
 	install -m 644 ${top_srcdir}/interface/intjobstat.h ${DESTDIR}${PREFIX}${prefix}/include/glite/lb
 	install -m 644 ${top_srcdir}/interface/intjobstat_supp.h ${DESTDIR}${PREFIX}${prefix}/include/glite/lb
 	install -m 644 ${top_srcdir}/interface/process_event.h ${DESTDIR}${PREFIX}${prefix}/include/glite/lb

=== debian/changelog ===
glite-lb-state-machine (2.0.9-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:46 +0200

=== debian/control ===
Source: glite-lb-state-machine
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), glite-lb-types, libclassad0-dev | libclassad-dev, libexpat1-dev, libglite-jobid-api-c-dev, libglite-lb-common-dev, libglite-lbjp-common-db-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-jp-interface-dev, libglite-lbjp-common-trio-dev, libtool-bin, pkg-config, xsltproc
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch

Package: libglite-lb-state-machine6
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gLite Logging and Bookkeeping state machine
 glite-lb-state-machine is the gLite L&B job state machine -- server core
 processing L&B events to produce job state presented to the user. This package
 contains the state machine library (linked by server) and dynamic plugin (used
 by other tools and Job
 Provenance).

Package: libglite-lb-state-machine-dev
Section: libdevel
Architecture: any
Provides: glite-lb-state-machine
Depends: libglite-lb-state-machine6 (= ${binary:Version}), ${misc:Depends}, libglite-lb-common-dev, libglite-lbjp-common-gss-dev
Description: Development files for gLite L&B state machine
 glite-lb-state-machine is the gLite L&B job state machine -- server core
 processing L&B events to produce job state presented to the user. This package
 contains the state machine library (linked by server) and dynamic plugin (used
 by other tools and Job
 Provenance).
 .
 This package contains development libraries and header files for gLite L&B
 state machine.

Package: glite-lb-state-machine-plugins
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: L&B state machine plugins
 glite-lb-state-machine is the gLite L&B job state machine -- server core
 processing L&B events to produce job state presented to the user. This package
 contains the state machine library (linked by server) and dynamic plugin (used
 by other tools and Job
 Provenance).
 .
 This package contains L&B state machine plugins for L&B tools and Job
 Provenance.

Package: libglite-lb-state-machine6-dbg
Section: debug
Architecture: any
Depends: libglite-lb-state-machine6 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev
Description: Debugging symbols for gLite L&B state-machine
 glite-lb-state-machine is the gLite L&B job state machine -- server core
 processing L&B events to produce job state presented to the user. This package
 contains the state machine library (linked by server) and dynamic plugin (used
 by other tools and Job
 Provenance).
 .
 This package contains debugging symbols for gLite L&B state machine.

Package: glite-lb-state-machine-plugins-dbg
Section: debug
Architecture: any
Depends: glite-lb-state-machine-plugins (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev
Description: Debugging symbols for gLite L&B state-machine plugins
 glite-lb-state-machine is the gLite L&B job state machine -- server core
 processing L&B events to produce job state presented to the user. This package
 contains the state machine library (linked by server) and dynamic plugin (used
 by other tools and Job
 Provenance).
 .
 This package contains debugging symbols for gLite L&B state machine plugins.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_dev=libglite-lb-state-machine-dev
p_lib=libglite-lb-state-machine6
p_plugs=glite-lb-state-machine-plugins

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --os-type=debian --project=emi

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

override_dh_strip:
	dh_strip -p$(p_lib) --dbg-package=$(p_lib)-dbg
	dh_strip -p$(p_plugs) --dbg-package=$(p_plugs)-dbg

override_dh_auto_install:
	dh_auto_install
	rm -vf debian/tmp/usr/lib/*.la
	rm -vf debian/tmp/usr/lib/glite*.a

override_dh_installdocs:
	dh_installdocs --link-doc=$(p_lib)

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lb.state-machine/glite-lb-state-machine-(.*)\.tar\.gz
